package com.objis.democdi.weld.beans;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.inject.Inject;

import com.objis.democdi.weld.beans.NotificationTypeDao.TypeDao;

public class ClientService {

	@Inject
	@NotificationTypeDao(TypeDao.JDBC) //Injection avec spcification du Qualifiateur (dans ClientService)
	IClientDao dao;  // Interface au lieu de classe : couplage faible.

	public String crerClient() {
		return "Service : " + dao.insertClient();
	}
	
	@PostConstruct
	public void logApresConstruction(){
		System.out.println("Aprs cration Service");
	}

	@PreDestroy
	public void logAvantDestruction(){
		System.out.println("Avant destruction Service");
	}

}
